# eric5.Plugins.PluginWizardQRegularExpression

Module implementing the QRegularExpression wizard plugin.

### Global Attributes

author
autoactivate
className
deactivateable
error
longDescription
name
packageName
pyqtApi
python2Compatible
shortDescription
version

### Classes

QRegularExpressionWizard | Class implementing the QRegularExpression wizard plugin.

### Functions

None

## QRegularExpressionWizard

Class implementing the QRegularExpression wizard plugin.

### Derived from

QObject

### Class Attributes

None

### Class Methods

None

### Methods

QRegularExpressionWizard | Constructor
__callForm | Private method to display a dialog and get the code.
__handle | Private method to handle the wizards action.
__initAction | Private method to initialize the action.
__initMenu | Private method to add the actions to the right menu.
activate | Public method to activate this plugin.
deactivate | Public method to deactivate this plugin.

### Static Methods

None

#### QRegularExpressionWizard (Constructor)

QRegularExpressionWizard(ui)

Constructor

ui
  reference to the user interface object (UI.UserInterface)

#### QRegularExpressionWizard.__callForm

__callForm(editor)

Private method to display a dialog and get the code.

editor
  reference to the current editor

Returns:
  the generated code (string)

#### QRegularExpressionWizard.__handle

__handle()

Private method to handle the wizards action.

#### QRegularExpressionWizard.__initAction

__initAction()

Private method to initialize the action.

#### QRegularExpressionWizard.__initMenu

__initMenu()

Private method to add the actions to the right menu.

#### QRegularExpressionWizard.activate

activate()

Public method to activate this plugin.

Returns:
  tuple of None and activation status (boolean)

#### QRegularExpressionWizard.deactivate

deactivate()

Public method to deactivate this plugin.

Up